﻿


/* auto height and width */
.hauto {
    height: auto !important;
}

.wauto {
    width: auto !important;
}

/* Overflow */
.of-a {
    overflow: auto !important;
}

.of-h {
    overflow: hidden !important;
}

.of-v {
    overflow: visible !important;
}

.of-x-a {
    overflow-x: auto !important;
}

.of-x-h {
    overflow-x: hidden !important;
}

.of-x-v {
    overflow-x: visible !important;
}

.of-y-a {
    overflow-y: auto !important;
}

.of-y-h {
    overflow-y: hidden !important;
}

.of-y-v {
    overflow-y: visible !important;
}

/* Border Radius */
.br-0 {
    border-radius: 0px !important;
}

.br-1 {
    border-radius: 1px !important;
}

.br-2 {
    border-radius: 2px !important;
}

.br-3 {
    border-radius: 3px !important;
}

.br-4 {
    border-radius: 4px !important;
}

.br-5 {
    border-radius: 5px !important;
}

.br-6 {
    border-radius: 6px !important;
}

.br-7 {
    border-radius: 7px !important;
}

.br-8 {
    border-radius: 8px !important;
}

.br-9 {
    border-radius: 9px !important;
}

.br-10 {
    border-radius: 10px !important;
}

.br-12 {
    border-radius: 12px !important;
}

.br-14 {
    border-radius: 14px !important;
}

.br-16 {
    border-radius: 16px !important;
}

.br-18 {
    border-radius: 18px !important;
}

.br-20 {
    border-radius: 20px !important;
}

.br-25 {
    border-radius: 25px !important;
}

.br-30 {
    border-radius: 30px !important;
}

.br-35 {
    border-radius: 35px !important;
}

/* Paddings */
.p-0 {
    padding: 0px !important;
}

.p-1 {
    padding: 1px !important;
}

.p-2 {
    padding: 2px !important;
}

.p-3 {
    padding: 3px !important;
}

.p-4 {
    padding: 4px !important;
}

.p-5 {
    padding: 5px !important;
}

.p-6 {
    padding: 6px !important;
}

.p-7 {
    padding: 7px !important;
}

.p-8 {
    padding: 8px !important;
}

.p-9 {
    padding: 9px !important;
}

.p-10 {
    padding: 10px !important;
}

.p-15 {
    padding: 15px !important;
}

.p-20 {
    padding: 20px !important;
}

.p-25 {
    padding: 25px !important;
}

.p-30 {
    padding: 30px !important;
}

.p-35 {
    padding: 35px !important;
}

.p-40 {
    padding: 40px !important;
}

.p-45 {
    padding: 45px !important;
}

.p-50 {
    padding: 50px !important;
}

.p-60 {
    padding: 60px !important;
}

.p-70 {
    padding: 70px !important;
}

.p-80 {
    padding: 80px !important;
}

.p-90 {
    padding: 90px !important;
}

.p-100 {
    padding: 100px !important;
}

.pt-0 {
    padding-top: 0px !important;
}

.pt-1 {
    padding-top: 1px !important;
}

.pt-2 {
    padding-top: 2px !important;
}

.pt-3 {
    padding-top: 3px !important;
}

.pt-4 {
    padding-top: 4px !important;
}

.pt-5 {
    padding-top: 5px !important;
}

.pt-6 {
    padding-top: 6px !important;
}

.pt-7 {
    padding-top: 7px !important;
}

.pt-8 {
    padding-top: 8px !important;
}

.pt-9 {
    padding-top: 9px !important;
}

.pt-10 {
    padding-top: 10px !important;
}

.pt-15 {
    padding-top: 15px !important;
}

.pt-20 {
    padding-top: 20px !important;
}

.pt-25 {
    padding-top: 25px !important;
}

.pt-30 {
    padding-top: 30px !important;
}

.pt-35 {
    padding-top: 35px !important;
}

.pt-40 {
    padding-top: 40px !important;
}

.pt-45 {
    padding-top: 45px !important;
}

.pt-50 {
    padding-top: 50px !important;
}

.pt-60 {
    padding-top: 60px !important;
}

.pt-70 {
    padding-top: 70px !important;
}

.pt-80 {
    padding-top: 80px !important;
}

.pt-90 {
    padding-top: 90px !important;
}

.pt-100 {
    padding-top: 100px !important;
}

.pl-0 {
    padding-left: 0px !important;
}

.pl-1 {
    padding-left: 1px !important;
}

.pl-2 {
    padding-left: 2px !important;
}

.pl-3 {
    padding-left: 3px !important;
}

.pl-4 {
    padding-left: 4px !important;
}

.pl-5 {
    padding-left: 5px !important;
}

.pl-6 {
    padding-left: 6px !important;
}

.pl-7 {
    padding-left: 7px !important;
}

.pl-8 {
    padding-left: 8px !important;
}

.pl-9 {
    padding-left: 9px !important;
}

.pl-10 {
    padding-left: 10px !important;
}

.pl-15 {
    padding-left: 15px !important;
}

.pl-20 {
    padding-left: 20px !important;
}

.pl-25 {
    padding-left: 25px !important;
}

.pl-30 {
    padding-left: 30px !important;
}

.pl-35 {
    padding-left: 35px !important;
}

.pl-40 {
    padding-left: 40px !important;
}

.pl-45 {
    padding-left: 45px !important;
}

.pl-50 {
    padding-left: 50px !important;
}

.pl-60 {
    padding-left: 60px !important;
}

.pl-70 {
    padding-left: 70px !important;
}

.pl-80 {
    padding-left: 80px !important;
}

.pl-90 {
    padding-left: 90px !important;
}

.pl-100 {
    padding-left: 100px !important;
}

.pr-0 {
    padding-right: 0px !important;
}

.pr-1 {
    padding-right: 1px !important;
}

.pr-2 {
    padding-right: 2px !important;
}

.pr-3 {
    padding-right: 3px !important;
}

.pr-4 {
    padding-right: 4px !important;
}

.pr-5 {
    padding-right: 5px !important;
}

.pr-6 {
    padding-right: 6px !important;
}

.pr-7 {
    padding-right: 7px !important;
}

.pr-8 {
    padding-right: 8px !important;
}

.pr-9 {
    padding-right: 9px !important;
}

.pr-10 {
    padding-right: 10px !important;
}

.pr-15 {
    padding-right: 15px !important;
}

.pr-20 {
    padding-right: 20px !important;
}

.pr-25 {
    padding-right: 25px !important;
}

.pr-30 {
    padding-right: 30px !important;
}

.pr-35 {
    padding-right: 35px !important;
}

.pr-40 {
    padding-right: 40px !important;
}

.pr-45 {
    padding-right: 45px !important;
}

.pr-50 {
    padding-right: 50px !important;
}

.pr-60 {
    padding-right: 60px !important;
}

.pr-70 {
    padding-right: 70px !important;
}

.pr-80 {
    padding-right: 80px !important;
}

.pr-90 {
    padding-right: 90px !important;
}

.pr-100 {
    padding-right: 100px !important;
}

.pb-0 {
    padding-bottom: 0px !important;
}

.pb-1 {
    padding-bottom: 1px !important;
}

.pb-2 {
    padding-bottom: 2px !important;
}

.pb-3 {
    padding-bottom: 3px !important;
}

.pb-4 {
    padding-bottom: 4px !important;
}

.pb-5 {
    padding-bottom: 5px !important;
}

.pb-6 {
    padding-bottom: 6px !important;
}

.pb-7 {
    padding-bottom: 7px !important;
}

.pb-8 {
    padding-bottom: 8px !important;
}

.pb-9 {
    padding-bottom: 9px !important;
}

.pb-10 {
    padding-bottom: 10px !important;
}

.pb-15 {
    padding-bottom: 15px !important;
}

.pb-20 {
    padding-bottom: 20px !important;
}

.pb-25 {
    padding-bottom: 25px !important;
}

.pb-30 {
    padding-bottom: 30px !important;
}

.pb-35 {
    padding-bottom: 35px !important;
}

.pb-40 {
    padding-bottom: 40px !important;
}

.pb-45 {
    padding-bottom: 45px !important;
}

.pb-50 {
    padding-bottom: 50px !important;
}

.pb-60 {
    padding-bottom: 60px !important;
}

.pb-70 {
    padding-bottom: 70px !important;
}

.pb-80 {
    padding-bottom: 80px !important;
}

.pb-90 {
    padding-bottom: 90px !important;
}

.pb-100 {
    padding-bottom: 100px !important;
}

/* Margins */
.mauto {
    margin-left: auto;
    margin-right: auto;
}

.m-0 {
    margin: 0px !important;
}

.m-1 {
    margin: 1px !important;
}

.m-2 {
    margin: 2px !important;
}

.m-3 {
    margin: 3px !important;
}

.m-4 {
    margin: 4px !important;
}

.m-5 {
    margin: 5px !important;
}

.m-6 {
    margin: 6px !important;
}

.m-7 {
    margin: 7px !important;
}

.m-8 {
    margin: 8px !important;
}

.m-9 {
    margin: 9px !important;
}

.m-10 {
    margin: 10px !important;
}

.m-15 {
    margin: 15px !important;
}

.m-20 {
    margin: 20px !important;
}

.m-25 {
    margin: 25px !important;
}

.m-30 {
    margin: 30px !important;
}

.m-35 {
    margin: 35px !important;
}

.m-40 {
    margin: 40px !important;
}

.m-45 {
    margin: 45px !important;
}

.m-50 {
    margin: 50px !important;
}

.m-60 {
    margin: 60px !important;
}

.m-70 {
    margin: 70px !important;
}

.m-80 {
    margin: 80px !important;
}

.m-90 {
    margin: 90px !important;
}

.m-100 {
    margin: 100px !important;
}

.mt-0 {
    margin-top: 0px !important;
}

.mt-1 {
    margin-top: 1px !important;
}

.mt-2 {
    margin-top: 2px !important;
}

.mt-3 {
    margin-top: 3px !important;
}

.mt-4 {
    margin-top: 4px !important;
}

.mt-5 {
    margin-top: 5px !important;
}

.mt-6 {
    margin-top: 6px !important;
}

.mt-7 {
    margin-top: 7px !important;
}

.mt-8 {
    margin-top: 8px !important;
}

.mt-9 {
    margin-top: 9px !important;
}

.mt-10 {
    margin-top: 10px !important;
}

.mt-15 {
    margin-top: 15px !important;
}

.mt-20 {
    margin-top: 20px !important;
}

.mt-25 {
    margin-top: 25px !important;
}

.mt-30 {
    margin-top: 30px !important;
}

.mt-35 {
    margin-top: 35px !important;
}

.mt-40 {
    margin-top: 40px !important;
}

.mt-45 {
    margin-top: 45px !important;
}

.mt-50 {
    margin-top: 50px !important;
}

.mt-60 {
    margin-top: 60px !important;
}

.mt-70 {
    margin-top: 70px !important;
}

.mt-80 {
    margin-top: 80px !important;
}

.mt-90 {
    margin-top: 90px !important;
}

.mt-100 {
    margin-top: 100px !important;
}

.ml-0 {
    margin-left: 0px !important;
}

.ml-1 {
    margin-left: 1px !important;
}

.ml-2 {
    margin-left: 2px !important;
}

.ml-3 {
    margin-left: 3px !important;
}

.ml-4 {
    margin-left: 4px !important;
}

.ml-5 {
    margin-left: 5px !important;
}

.ml-6 {
    margin-left: 6px !important;
}

.ml-7 {
    margin-left: 7px !important;
}

.ml-8 {
    margin-left: 8px !important;
}

.ml-9 {
    margin-left: 9px !important;
}

.ml-10 {
    margin-left: 10px !important;
}

.ml-15 {
    margin-left: 15px !important;
}

.ml-20 {
    margin-left: 20px !important;
}

.ml-25 {
    margin-left: 25px !important;
}

.ml-30 {
    margin-left: 30px !important;
}

.ml-35 {
    margin-left: 35px !important;
}

.ml-40 {
    margin-left: 40px !important;
}

.ml-45 {
    margin-left: 45px !important;
}

.ml-50 {
    margin-left: 50px !important;
}

.ml-60 {
    margin-left: 60px !important;
}

.ml-70 {
    margin-left: 70px !important;
}

.ml-80 {
    margin-left: 80px !important;
}

.ml-90 {
    margin-left: 90px !important;
}

.ml-100 {
    margin-left: 100px !important;
}

.mr-0 {
    margin-right: 0px !important;
}

.mr-1 {
    margin-right: 1px !important;
}

.mr-2 {
    margin-right: 2px !important;
}

.mr-3 {
    margin-right: 3px !important;
}

.mr-4 {
    margin-right: 4px !important;
}

.mr-5 {
    margin-right: 5px !important;
}

.mr-6 {
    margin-right: 6px !important;
}

.mr-7 {
    margin-right: 7px !important;
}

.mr-8 {
    margin-right: 8px !important;
}

.mr-9 {
    margin-right: 9px !important;
}

.mr-10 {
    margin-right: 10px !important;
}

.mr-15 {
    margin-right: 15px !important;
}

.mr-20 {
    margin-right: 20px !important;
}

.mr-25 {
    margin-right: 25px !important;
}

.mr-30 {
    margin-right: 30px !important;
}

.mr-35 {
    margin-right: 35px !important;
}

.mr-40 {
    margin-right: 40px !important;
}

.mr-45 {
    margin-right: 45px !important;
}

.mr-50 {
    margin-right: 50px !important;
}

.mr-60 {
    margin-right: 60px !important;
}

.mr-70 {
    margin-right: 70px !important;
}

.mr-80 {
    margin-right: 80px !important;
}

.mr-90 {
    margin-right: 90px !important;
}

.mr-100 {
    margin-right: 100px !important;
}

.mb-0 {
    margin-bottom: 0px !important;
}

.mb-1 {
    margin-bottom: 1px !important;
}

.mb-2 {
    margin-bottom: 2px !important;
}

.mb-3 {
    margin-bottom: 3px !important;
}

.mb-4 {
    margin-bottom: 4px !important;
}

.mb-5 {
    margin-bottom: 5px !important;
}

.mb-6 {
    margin-bottom: 6px !important;
}

.mb-7 {
    margin-bottom: 7px !important;
}

.mb-8 {
    margin-bottom: 8px !important;
}

.mb-9 {
    margin-bottom: 9px !important;
}

.mb-10 {
    margin-bottom: 10px !important;
}

.mb-15 {
    margin-bottom: 15px !important;
}

.mb-20 {
    margin-bottom: 20px !important;
}

.mb-25 {
    margin-bottom: 25px !important;
}

.mb-30 {
    margin-bottom: 30px !important;
}

.mb-35 {
    margin-bottom: 35px !important;
}

.mb-40 {
    margin-bottom: 40px !important;
}

.mb-45 {
    margin-bottom: 45px !important;
}

.mb-50 {
    margin-bottom: 50px !important;
}

.mb-60 {
    margin-bottom: 60px !important;
}

.mb-70 {
    margin-bottom: 70px !important;
}

.mb-80 {
    margin-bottom: 80px !important;
}

.mb-90 {
    margin-bottom: 90px !important;
}

.mb-100 {
    margin-bottom: 100px !important;
}

/* Negative Margins */
.mn-0 {
    margin: 0px !important;
}

.mn-1 {
    margin: -1px !important;
}

.mn-2 {
    margin: -2px !important;
}

.mn-3 {
    margin: -3px !important;
}

.mn-4 {
    margin: -4px !important;
}

.mn-5 {
    margin: -5px !important;
}

.mn-6 {
    margin: -6px !important;
}

.mn-7 {
    margin: -7px !important;
}

.mn-8 {
    margin: -8px !important;
}

.mn-9 {
    margin: -9px !important;
}

.mn-10 {
    margin: -10px !important;
}

.mn-15 {
    margin: -15px !important;
}

.mn-20 {
    margin: -20px !important;
}

.mn-25 {
    margin: -25px !important;
}

.mn-30 {
    margin: -30px !important;
}

.mn-35 {
    margin: -35px !important;
}

.mn-40 {
    margin: -40px !important;
}

.mn-45 {
    margin: -45px !important;
}

.mn-50 {
    margin: -50px !important;
}

.mn-60 {
    margin: -60px !important;
}

.mn-70 {
    margin: -70px !important;
}

.mn-80 {
    margin: -80px !important;
}

.mn-90 {
    margin: -90px !important;
}

.mn-100 {
    margin: -100px !important;
}

.mnt-0 {
    margin-top: 0px !important;
}

.mnt-1 {
    margin-top: -1px !important;
}

.mnt-2 {
    margin-top: -2px !important;
}

.mnt-3 {
    margin-top: -3px !important;
}

.mnt-4 {
    margin-top: -4px !important;
}

.mnt-5 {
    margin-top: -5px !important;
}

.mnt-6 {
    margin-top: -6px !important;
}

.mnt-7 {
    margin-top: -7px !important;
}

.mnt-8 {
    margin-top: -8px !important;
}

.mnt-9 {
    margin-top: -9px !important;
}

.mnt-10 {
    margin-top: -10px !important;
}

.mnt-15 {
    margin-top: -15px !important;
}

.mnt-20 {
    margin-top: -20px !important;
}

.mnt-25 {
    margin-top: -25px !important;
}

.mnt-30 {
    margin-top: -30px !important;
}

.mnt-35 {
    margin-top: -35px !important;
}

.mnt-40 {
    margin-top: -40px !important;
}

.mnt-45 {
    margin-top: -45px !important;
}

.mnt-50 {
    margin-top: -50px !important;
}

.mnt-60 {
    margin-top: -60px !important;
}

.mnt-70 {
    margin-top: -70px !important;
}

.mnt-80 {
    margin-top: -80px !important;
}

.mnt-90 {
    margin-top: -90px !important;
}

.mnt-100 {
    margin-top: -100px !important;
}

.mnl-0 {
    margin-left: 0px !important;
}

.mnl-1 {
    margin-left: -1px !important;
}

.mnl-2 {
    margin-left: -2px !important;
}

.mnl-3 {
    margin-left: -3px !important;
}

.mnl-4 {
    margin-left: -4px !important;
}

.mnl-5 {
    margin-left: -5px !important;
}

.mnl-6 {
    margin-left: -6px !important;
}

.mnl-7 {
    margin-left: -7px !important;
}

.mnl-8 {
    margin-left: -8px !important;
}

.mnl-9 {
    margin-left: -9px !important;
}

.mnl-10 {
    margin-left: -10px !important;
}

.mnl-15 {
    margin-left: -15px !important;
}

.mnl-20 {
    margin-left: -20px !important;
}

.mnl-25 {
    margin-left: -25px !important;
}

.mnl-30 {
    margin-left: -30px !important;
}

.mnl-35 {
    margin-left: -35px !important;
}

.mnl-40 {
    margin-left: -40px !important;
}

.mnl-45 {
    margin-left: -45px !important;
}

.mnl-50 {
    margin-left: -50px !important;
}

.mnl-60 {
    margin-left: -60px !important;
}

.mnl-70 {
    margin-left: -70px !important;
}

.mnl-80 {
    margin-left: -80px !important;
}

.mnl-90 {
    margin-left: -90px !important;
}

.mnl-100 {
    margin-left: -100px !important;
}

.mnr-0 {
    margin-right: 0px !important;
}

.mnr-1 {
    margin-right: -1px !important;
}

.mnr-2 {
    margin-right: -2px !important;
}

.mnr-3 {
    margin-right: -3px !important;
}

.mnr-4 {
    margin-right: -4px !important;
}

.mnr-5 {
    margin-right: -5px !important;
}

.mnr-6 {
    margin-right: -6px !important;
}

.mnr-7 {
    margin-right: -7px !important;
}

.mnr-8 {
    margin-right: -8px !important;
}

.mnr-9 {
    margin-right: -9px !important;
}

.mnr-10 {
    margin-right: -10px !important;
}

.mnr-15 {
    margin-right: -15px !important;
}

.mnr-20 {
    margin-right: -20px !important;
}

.mnr-25 {
    margin-right: -25px !important;
}

.mnr-30 {
    margin-right: -30px !important;
}

.mnr-35 {
    margin-right: -35px !important;
}

.mnr-40 {
    margin-right: -40px !important;
}

.mnr-45 {
    margin-right: -45px !important;
}

.mnr-50 {
    margin-right: -50px !important;
}

.mnr-60 {
    margin-right: -60px !important;
}

.mnr-70 {
    margin-right: -70px !important;
}

.mnr-80 {
    margin-right: -80px !important;
}

.mnr-90 {
    margin-right: -90px !important;
}

.mnr-100 {
    margin-right: -100px !important;
}

.mnb-0 {
    margin-bottom: 0px !important;
}

.mnb-1 {
    margin-bottom: -1px !important;
}

.mnb-2 {
    margin-bottom: -2px !important;
}

.mnb-3 {
    margin-bottom: -3px !important;
}

.mnb-4 {
    margin-bottom: -4px !important;
}

.mnb-5 {
    margin-bottom: -5px !important;
}

.mnb-6 {
    margin-bottom: -6px !important;
}

.mnb-7 {
    margin-bottom: -7px !important;
}

.mnb-8 {
    margin-bottom: -8px !important;
}

.mnb-9 {
    margin-bottom: -9px !important;
}

.mnb-10 {
    margin-bottom: -10px !important;
}

.mnb-15 {
    margin-bottom: -15px !important;
}

.mnb-20 {
    margin-bottom: -20px !important;
}

.mnb-25 {
    margin-bottom: -25px !important;
}

.mnb-30 {
    margin-bottom: -30px !important;
}

.mnb-35 {
    margin-bottom: -35px !important;
}

.mnb-40 {
    margin-bottom: -40px !important;
}

.mnb-45 {
    margin-bottom: -45px !important;
}

.mnb-50 {
    margin-bottom: -50px !important;
}

.mnb-60 {
    margin-bottom: -60px !important;
}

.mnb-70 {
    margin-bottom: -70px !important;
}

.mnb-80 {
    margin-bottom: -80px !important;
}

.mnb-90 {
    margin-bottom: -90px !important;
}

.mnb-100 {
    margin-bottom: -100px !important;
}

/* Opacity */
.op-0 {
    opacity: 0 !important;
}

.op-1 {
    opacity: 0.1 !important;
}

.op-2 {
    opacity: 0.2 !important;
}

.op-3 {
    opacity: 0.3 !important;
}

.op-4 {
    opacity: 0.4 !important;
}

.op-5 {
    opacity: 0.5 !important;
}

.op-6 {
    opacity: 0.6 !important;
}

.op-7 {
    opacity: 0.7 !important;
}

.op-8 {
    opacity: 0.8 !important;
}

.op-9 {
    opacity: 0.9 !important;
}

.op-10 {
    opacity: 1 !important;
}

/* Gap */
.nk-gap, .nk-gap-1, .nk-gap-2, .nk-gap-3, .nk-gap-4, .nk-gap-5, .nk-gap-6 {
    display: block;
}

    .nk-gap:after, .nk-gap:before, .nk-gap-1:after, .nk-gap-1:before, .nk-gap-2:after, .nk-gap-2:before, .nk-gap-3:after, .nk-gap-3:before, .nk-gap-4:after, .nk-gap-4:before, .nk-gap-5:after, .nk-gap-5:before, .nk-gap-6:after, .nk-gap-6:before {
        content: '';
        display: table;
        clear: both;
    }

.nk-gap-1-10 {
    height: 10px;
}

.nk-gap-1-15 {
    height: 15px;
}

.nk-gap-1 {
    height: 20px;
}

.nk-gap-2 {
    height: 40px;
}

.nk-gap-3 {
    height: 60px;
}

.nk-gap-4 {
    height: 80px;
}

.nk-gap-5 {
    height: 100px;
}

.nk-gap-6 {
    height: 120px;
}

/* Text Align */
.align-left {
    text-align: left;
}

.align-center {
    text-align: center;
}

.align-right {
    text-align: right;
}

.align-justify {
    text-align: justify;
}

/* Vertical Align */
.va-t {
    vertical-align: top !important;
}

.va-m {
    vertical-align: middle !important;
}

.va-b {
    vertical-align: bottom !important;
}

.va-s {
    vertical-align: super !important;
}

/* Text Transform */
.text-uppercase {
    text-transform: uppercase !important;
}

/* Font Weight */
.fw-100 {
    font-weight: 100 !important;
}

.fw-200 {
    font-weight: 200 !important;
}

.fw-300 {
    font-weight: 300 !important;
}

.fw-400 {
    font-weight: 400 !important;
}

.fw-500 {
    font-weight: 500 !important;
}

.fw-600 {
    font-weight: 600 !important;
}

.fw-700 {
    font-weight: 700 !important;
}

.fw-800 {
    font-weight: 800 !important;
}

.fw-900 {
    font-weight: 900 !important;
}

/* Font Size */
.fs-12 {
    font-size: 12px !important;
}

.fs-13 {
    font-size: 13px !important;
}

.fs-14 {
    font-size: 14px !important;
}

.fs-15 {
    font-size: 15px !important;
}

.fs-16 {
    font-size: 16px !important;
}

.fs-17 {
    font-size: 17px !important;
}

.fs-18 {
    font-size: 18px !important;
}

.fs-19 {
    font-size: 19px !important;
}

.fs-20 {
    font-size: 20px !important;
}

.fs-22 {
    font-size: 22px !important;
}

.fs-24 {
    font-size: 24px !important;
}

.fs-26 {
    font-size: 26px !important;
}

.fs-28 {
    font-size: 28px !important;
}

.fs-30 {
    font-size: 30px !important;
}

.fs-35 {
    font-size: 35px !important;
}

.fs-40 {
    font-size: 40px !important;
}

.fs-45 {
    font-size: 45px !important;
}

.fs-50 {
    font-size: 50px !important;
}

/* Line Height */
.lh-0 {
    line-height: 0px !important;
}

.lh-5 {
    line-height: 5px !important;
}

.lh-10 {
    line-height: 10px !important;
}

.lh-15 {
    line-height: 15px !important;
}

.lh-20 {
    line-height: 20px !important;
}

.lh-25 {
    line-height: 25px !important;
}

.lh-30 {
    line-height: 30px !important;
}

.lh-35 {
    line-height: 35px !important;
}

.lh-40 {
    line-height: 40px !important;
}

.lh-45 {
    line-height: 45px !important;
}

.lh-50 {
    line-height: 50px !important;
}

/* 版面主標題 */
.text-main-1 {
    color: #626262;
    -webkit-transition: all 300ms ease-in-out;
    -moz-transition: all 300ms ease-in-out;
    -o-transition: all 300ms ease-in-out;
    transition: all 300ms ease-in-out;
}

    a.text-main-1, a > .text-main-1, .text-main-1 > a {
        color: #626262;
    }

        a.text-main-1:hover, a:hover > .text-main-1, .text-main-1 > a:hover {
            color: #6DC2A5;
        }
/* 版面副標題 */
.text-main-2 {
    color: #6DC2A5;
    font-weight: normal;
    -webkit-transition: all 300ms ease-in-out;
    -moz-transition: all 300ms ease-in-out;
    -o-transition: all 300ms ease-in-out;
    transition: all 300ms ease-in-out;
}

    a.text-main-2, a > .text-main-2, .text-main-2 > a {
        color: #6DC2A5;
    }

        a.text-main-2:hover, a:hover > .text-main-2, .text-main-2 > a:hover {
            color: #6DC2A5;
        }
/* 版面小標題 */
.text-main-3 {
    color: #6DC2A5;
    font-weight: normal;
    -webkit-transition: all 300ms ease-in-out;
    -moz-transition: all 300ms ease-in-out;
    -o-transition: all 300ms ease-in-out;
    transition: all 300ms ease-in-out;
}

    a.text-main-3, a > .text-main-3, .text-main-3 > a {
        color: #6DC2A5;
    }

        a.text-main-3:hover, a:hover > .text-main-3, .text-main-3 > a:hover {
            color: #6DC2A5;
        }
/* 分類主標題 */
.text-main-4 {
    color: #363737;
    -webkit-transition: all 300ms ease-in-out;
    -moz-transition: all 300ms ease-in-out;
    -o-transition: all 300ms ease-in-out;
    transition: all 300ms ease-in-out;
}

    a.text-main-4, a > .text-main-4, .text-main-4 > a {
        color: #363737;
    }

        a.text-main-4:hover, a:hover > .text-main-4, .text-main-4 > a:hover {
            color: #6DC2A5;
        }
/* 分類副標題 */
.text-main-5 {
    color: #363737;
    font-weight: normal;
    -webkit-transition: all 300ms ease-in-out;
    -moz-transition: all 300ms ease-in-out;
    -o-transition: all 300ms ease-in-out;
    transition: all 300ms ease-in-out;
}

    a.text-main-5, a > .text-main-5, .text-main-5 > a {
        color: #363737;
    }

        a.text-main-5:hover, a:hover > .text-main-5, .text-main-5 > a:hover {
            color: #6DC2A5;
        }
/* 資料主標題 */
.text-main-6 {
    color: #363737;
    -webkit-transition: all 300ms ease-in-out;
    -moz-transition: all 300ms ease-in-out;
    -o-transition: all 300ms ease-in-out;
    transition: all 300ms ease-in-out;
}

    a.text-main-6, a > .text-main-6, .text-main-6 > a {
        color: #363737;
    }

        a.text-main-6:hover, a:hover > .text-main-6, .text-main-6 > a:hover {
            color: #6DC2A5;
        }
/* 資料副標題 */
.text-main-7 {
    color: #363737;
    font-size: 1.1em;
    font-weight: normal;
    -webkit-transition: all 300ms ease-in-out;
    -moz-transition: all 300ms ease-in-out;
    -o-transition: all 300ms ease-in-out;
    transition: all 300ms ease-in-out;
}

    a.text-main-7, a > .text-main-7, .text-main-7 > a {
        color: #363737;
    }

        a.text-main-7:hover, a:hover > .text-main-7, .text-main-7 > a:hover {
            color: #6DC2A5;
        }

.text-primary {
    color: #0275D8 !important;
}

.text-success {
    color: #5CB85C !important;
}

.text-info {
    color: #5BC0DE !important;
}

.text-warning {
    color: #FF6D40 !important;
}

.text-danger {
    color: #D9534F !important;
}

.text-white {
    color: #fff !important;
}

.text-black {
    color: #000 !important;
}

.text-red {
    color: #F00 !important;
}

.text-dark-1 {
    color: #1c1c1c !important;
}

.text-dark-2 {
    color: #262626 !important;
}

.text-dark-3 {
    color: #303030 !important;
}

.text-dark-4 {
    color: #3b3b3b !important;
}

.text-gray-1 {
    color: #FAFAFA !important;
}

.text-gray-2 {
    color: #f7f7f7 !important;
}

.text-gray-3 {
    color: whitesmoke !important;
}

.text-gray-4 {
    color: #eee !important;
}

/* Image Fit */
.nk-img-fit, .nk-img {
    max-width: 100%;
}

@media (max-width: 543px) {
    .nk-img-fit-xs-down {
        max-width: 100%;
    }
}

@media (min-width: 544px) {
    .nk-img-fit-sm-up {
        max-width: 100%;
    }
}

@media (max-width: 767px) {
    .nk-img-fit-sm-down {
        max-width: 100%;
    }
}

@media (min-width: 768px) {
    .nk-img-fit-md-up {
        max-width: 100%;
    }
}

@media (max-width: 991px) {
    .nk-img-fit-md-down {
        max-width: 100%;
    }
}

@media (min-width: 992px) {
    .nk-img-fit-lg-up {
        max-width: 100%;
    }
}

@media (max-width: 1199px) {
    .nk-img-fit-lg-down {
        max-width: 100%;
    }
}

@media (min-width: 1200) {
    .nk-img-fit-xl-up {
        max-width: 100%;
    }
}

/* Image Stretch 

.nk-img-stretch {
    width: 100%;
}


*/


/* Circle / Rounded Images */
img.circle {
    border-radius: 50%;
}

img.rounded {
    border-radius: 5px;
}

/* Inherit Font Family */
.nk-font-inherit {
    font-family: inherit !important;
}

/* Background Color */
.bg-white {
    background-color: #fff !important;
}

.bg-black {
    background-color: #000 !important;
}

.bg-ccc {
    background-color: #ccc !important;
}

.bg-ddd {
    background-color: #ddd !important;
}

.bg-eee {
    background-color: #eee !important;
}

.hr-000 {
    border-bottom: 1px solid #ccc !important;
}

.hr-ccc {
    border-bottom: 1px solid #ccc !important;
}

.hr-ddd {
    border-bottom: 1px solid #ddd !important;
}

.hr-eee {
    border-bottom: 1px solid #eee !important;
}

.hr-fff {
    border-bottom: 1px solid #fff !important;
}

/* Text Ellipsis */
.ellipsis {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.ellipsis-2 {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}

.ellipsis-3 {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
}

/* Cursor Pointer */
.cursor {
    cursor: pointer !important;
}

/* Responsive embeds */
.responsive-embed {
    position: relative;
    display: block;
    overflow: hidden;
    height: 0;
    padding: 0;
    clear: both;
}

    .responsive-embed.responsive-embed-16x9 {
        padding-bottom: 56.25%;
    }

    .responsive-embed.responsive-embed-4x3 {
        padding-bottom: 75%;
    }

    .responsive-embed > .embed-item, .responsive-embed > iframe, .responsive-embed > embed, .responsive-embed > object {
        position: absolute;
        top: 0;
        left: 0;
        bottom: 0;
        height: 100%;
        width: 100%;
        border: 0;
    }

.noShadow-box {
    box-shadow: none !important;
}

.noShadow-text {
    text-shadow: none !important;
}

/* jfontsizebox  ========================= */
#jfontsize-minus:hover, #jfontsize-default:hover, #jfontsize-plus:hover {
    background: rgb(91, 165, 181) !important;
    color: #fff;
    border-color: rgb(91, 165, 181);
}

/* 收納效果 ========================= */
.toggleBtn {
    display: inline-block;
    font-size: 24px;
    cursor: pointer;
    -webkit-transition: all 300ms ease-in-out;
    -moz-transition: all 300ms ease-in-out;
    -o-transition: all 300ms ease-in-out;
    transition: all 300ms ease-in-out;
}

.toggleBlock {
    position: relative;
    -webkit-transition: all 300ms ease-in-out;
    -moz-transition: all 300ms ease-in-out;
    -o-transition: all 300ms ease-in-out;
    transition: all 300ms ease-in-out;
    opacity: 1;
}

.toggleRotate180 {
    -moz-transform: rotate(180deg);
    -webkit-transform: rotate(180deg);
    -o-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    transform: rotate(180deg);
}

.toggleClosed {
    display: none;
    height: 0px !important;
    opacity: 0;
    z-index: -1;
}



